%define	name	bumprace
%define	version	1.45
%define	release	6mdk

Summary:	Drive the ship to exit
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.linux-games.com/bumprace/bumprace-%{version}.tar.bz2
Source5:	%{name}-16.png
Source6:	%{name}-32.png
Source7:	%{name}-48.png
License:	GPL
Group:		Games/Arcade
Url:		http://www.linux-games.com/bumprace
BuildRequires:	SDL_mixer-devel XFree86-devel alsa-lib-devel esound-devel
BuildRequires:	libjpeg-devel libpng-devel texinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}buildroot

%description
BumpRace is a simple arcade game. You've to get from the start to the finish
line without crashing into deadly blocks. This game is really easy to learn!

%prep
%setup -q

cat <<EOF > %{name}.menu
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Bumprace"\
		  longtitle="Bumprace"
EOF

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -D -m644 %{name}.menu $RPM_BUILD_ROOT%{_menudir}/%{name}
install -D -m644 %SOURCE6 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m644 %SOURCE5 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m644 %SOURCE7 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS FAQ NEWS README
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.45-6mdk
- rebuild

* Thu Nov 12 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.45-5mdk
- Cleanups
- Removed (extremely) redundant Buildrequires
- Moved stuff to correct places
- Added menuentry
- Added icons
- Cleanups

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.45-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.45-3mdk
- Automated rebuild with gcc3.2

* Sun Jul 21 2002 Pixel <pixel@mandrakesoft.com> 1.45-2mdk
- recompile against new vorbis stuff

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 1.45-1mdk
- new release

* Mon Apr 29 2002 Pixel <pixel@mandrakesoft.com> 1.43-2mdk
- rebuild for new libasound (alsa)

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 1.43-1mdk
- new release

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.42-6mdk
- BuildRequires

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 1.42-5mdk
- rebuilding for libpng3

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.42-4mdk
- BuildRequires: libjpeg-devel libpng-devel libSDL-devel

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 1.42-3mdk
- rebuild

* Mon May 14 2001 Pixel <pixel@mandrakesoft.com> 1.42-2mdk
- rebuild with new SDL

* Fri Mar 30 2001 Pixel <pixel@mandrakesoft.com> 1.42-1mdk
- new version

* Thu Dec 21 2000 Pixel <pixel@mandrakesoft.com> 1.4-4mdk
- capitalize summary

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 1.4-3mdk
- rebuild for new lib mixer

* Wed Nov 29 2000 Pixel <pixel@mandrakesoft.com> 1.4-2mdk
- rebuild, build req

* Sun Oct 22 2000 Pixel <pixel@mandrakesoft.com> 1.4-1mdk
- initial spec
